{{page-title (capitalize (t "map files")) " | " @model.map.name}}

<div class="container-fluid h-100">
  <div class="row h-100">
    <div class="col {{if this.logVisible 'd-none'}}">
      <Manage::Container>
        <:content>
          <Manage::Header @title={{capitalize (t "map files")}}>
            <Breadcrumbs @value={{this.breadcrumbs}} />

            <LinkTo @route="wizard.import.file-select" @model={{@model.map.id}} class="btn btn-primary">
              {{capitalize (t "import a new file")}}
            </LinkTo>
          </Manage::Header>

          <div class="row mt-3">
            <div class="col col-files">
              <Manage::Maps::FileList
                @viewMode={{this.viewMode}}
                @model={{this.model}}
                @files={{this.files}}
                @onImport={{this.import}}
                @onCancelImport={{this.cancelImport}}
                @onAdvanced={{this.advanced}}
                @onShowLog={{this.showLog}}
                @onDelete={{this.delete}}
              />
            </div>
          </div>
        </:content>
      </Manage::Container>
    </div>

    {{#if this.logVisible}}
      <div class="col h-100 p-0 map-file-panel shadow">
        <div class="panel-view-log h-100 d-flex flex-column">
          <div class="log-header ps-2 pt-4 pb-2">
            <h2>
              {{this.model.file.name}}

              <button class="close me-4 mt-2" type="button" {{on "click" this.closePanel}}>
                <span aria-hidden="true">×</span>
              </button>
            </h2>
          </div>

          <div class="w-100 flex-fill p-2 log-container">
            <pre class="log m-0">{{this.log}}</pre>
          </div>
        </div>
      </div>
    {{/if}}
  </div>
</div>